package org.omg.PortableServer;

import java.io.ObjectOutputStream;
import java.io.IOException;
import org.omg.CORBA.ORB;
import java.io.ObjectInputStream;
import org.omg.CORBA.portable.ServantObject;
import org.omg.CORBA.portable.ObjectImpl;

public class _ServantActivatorStub extends ObjectImpl implements ServantActivator
{
    public static final Class _opsClass;
    private static String[] __ids;
    
    public _ServantActivatorStub() {
    }
    
    public Servant incarnate(byte[] array, POA poa) throws ForwardRequest {
        ServantObject servant_preinvoke = this._servant_preinvoke("incarnate", _ServantActivatorStub._opsClass);
        ServantActivatorOperations servantActivatorOperations = (ServantActivatorOperations)servant_preinvoke.servant;
        try {
            return servantActivatorOperations.incarnate(array, poa);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public void etherealize(byte[] array, POA poa, Servant servant, boolean b, boolean b2) {
        ServantObject servant_preinvoke = this._servant_preinvoke("etherealize", _ServantActivatorStub._opsClass);
        ServantActivatorOperations servantActivatorOperations = (ServantActivatorOperations)servant_preinvoke.servant;
        try {
            servantActivatorOperations.etherealize(array, poa, servant, b, b2);
        }
        finally {
            this._servant_postinvoke(servant_preinvoke);
        }
    }
    
    public String[] _ids() {
        return (String[])(String[])_ServantActivatorStub.__ids.clone();
    }
    
    private void readObject(ObjectInputStream objectInputStream) throws IOException {
        String utf = objectInputStream.readUTF();
        ORB init = ORB.init(null, null);
        try {
            this._set_delegate(((ObjectImpl)init.string_to_object(utf))._get_delegate());
        }
        finally {
            init.destroy();
        }
    }
    
    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        ORB init = ORB.init(null, null);
        try {
            objectOutputStream.writeUTF(init.object_to_string(this));
        }
        finally {
            init.destroy();
        }
    }
    
    static {
        _opsClass = ServantActivatorOperations.class;
        _ServantActivatorStub.__ids = new String[] { "IDL:omg.org/PortableServer/ServantActivator:2.3", "IDL:omg.org/PortableServer/ServantManager:1.0" };
    }
}
